SignalContainerRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: SignalContainerRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class SignalContainerRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.SignalContainerRequest

@Public @Evolving public abstract class SignalContainerRequest extends Object

The request sent by the client to the `ResourceManager` or by the `ApplicationMaster` to the `NodeManager` to signal a container.

See Also:
  - `SignalContainerCommand`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignalContainerRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract SignalContainerCommand`
  `getCommand()`
  Get the `SignalContainerCommand` of the signal request.
  `abstract ContainerId`
  `getContainerId()`
  Get the `ContainerId` of the container to signal.
  `static SignalContainerRequest`
  `newInstance(ContainerId containerId, SignalContainerCommand signalContainerCommand)`
  `abstract void`
  `setCommand(SignalContainerCommand command)`
  Set the `SignalContainerCommand` of the signal request.
  `abstract void`
  `setContainerId(ContainerId containerId)`
  Set the `ContainerId` of the container to signal.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SignalContainerRequest

    public SignalContainerRequest()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static SignalContainerRequest newInstance(ContainerId containerId, SignalContainerCommand signalContainerCommand)

  - ### getContainerId

    @Public @Unstable public abstract ContainerId getContainerId()
    Get the `ContainerId` of the container to signal.
    Returns:
      `ContainerId` of the container to signal.

  - ### setContainerId

    @Public @Unstable public abstract void setContainerId(ContainerId containerId)
    Set the `ContainerId` of the container to signal.
    Parameters:
      `containerId` - containerId.

  - ### getCommand

    @Public @Unstable public abstract SignalContainerCommand getCommand()
    Get the `SignalContainerCommand` of the signal request.
    Returns:
      `SignalContainerCommand` of the signal request.

  - ### setCommand

    @Public @Unstable public abstract void setCommand(SignalContainerCommand command)
    Set the `SignalContainerCommand` of the signal request.
    Parameters:
      `command` - signal container command.